﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Collections;
using Syncfusion.Mvc.Grid;
using Syncfusion.DocIO.DLS;
using Syncfusion.Pdf;
using Syncfusion.XlsIO;
using inlineform.Models;
namespace inlineform.Controllers
{
    public partial class GridController: Controller
    {
        public ActionResult GridFeatures()
        {
            var data = new inlineform.Models.StudentDataContext().Student.Take(10).ToList();
            ViewData["ProductName"] = "Grid";
            return View(data);
        }
	[AcceptVerbs(HttpVerbs.Post)]
        public ActionResult GridFeatures(PagingParams args)
        {
            IEnumerable data = OrderRepository.GetAllRecords().Take(10).ToList();
            return data.GridActions<inlineform.Models.Student>();
        }
        public ActionResult OrderSave(Student ord)
        {
            Models.OrderRepository.Update(ord);
            var data = Models.OrderRepository.GetAllRecords().Take(10).ToList();
            return data.GridActions<Student>();
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult AddOrder(Student ord)
        {
            Models.OrderRepository.Add(ord);
            var data = Models.OrderRepository.GetAllRecords().Take(10).ToList();
            return data.GridActions<Student>();
        }
       [AcceptVerbs(HttpVerbs.Post)]
       public ActionResult DeleteOrder(long UniversityCode)
       {
            if (ModelState.IsValid)
            {
               Models.OrderRepository.Delete(UniversityCode);
            }
            var data = Models.OrderRepository.GetAllRecords().Take(10).ToList();
            return data.GridActions<Student>();
       }
    }
}
